import 'package:flutter/material.dart';
import 'package:syncrow_app/features/shared_widgets/default_button.dart';
import 'package:syncrow_app/generated/assets.dart';

class SceneViewNoScenes extends StatelessWidget {
  const SceneViewNoScenes({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Padding(
        padding: const EdgeInsets.symmetric(horizontal: 40),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Image.asset(
              Assets.assetsImagesAutomation,
              scale: 1,
              opacity: const AlwaysStoppedAnimation(.5),
              width: 140,
            ),
            const SizedBox(height: 15),
            const Text(
              'Home automation saves your time and effort by automating routine tasks.',
              textAlign: TextAlign.center,
              style: TextStyle(color: Colors.grey),
            ),
            const SizedBox(height: 20),
            const DefaultButton(
              child: Text(
                'Add a scene',
              ),
            )
          ],
        ),
      ),
    );
  }
}
